// COPYRIGHT (C) 1998.  All Rights Reserved. - MAIN3.CPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>
#include <z_prst.hpp>
#include "bitmap2.hpp"
#include "bitmap3.hpp"

// Start the application.
int ZafApplication::Main(void)
{
	// This is for compilers that do not look in the library for main.
	LinkMain();

	// Create a storage pointer to the data file.
	ZafStorage *storage = new ZafStorage(ZAF_ITEXT("bitmaps.znc"), ZAF_FILE_READ);

	// Check to see if the default storage was allocated.
	if (storage->Error())
	{
		zafErrorSystem->ReportError(ZAF_NULLP(ZafWindowObject),
			ZAF_ITEXT("File Error"), ZAF_DIALOG_OK,
			ZAF_ITEXT("Error: bitmaps.znc could not be found."));
		delete storage;
		return(-1);
	}

	// Create a pointer to the persistence.
	zafDataPersistence = new ZafDataPersistence(storage, zafDefaultDataConstructor);

	// Create the window and add the support objects.
	ZafWindow *window = new ZafWindow(0, 0, 25, 4);
	window->AddGenericObjects(new ZafStringData("Bitmap Window 3"));

	// Add the animated bitmap object to the window.
	window->Add(new AnimatedBitmap(1, 1, 0, 0, ZAF_ITEXT("WORLD_"), 15, 50));

	// Center the window and it to the window manager.
	zafWindowManager->Center(window);
	zafWindowManager->Add(window);

	// Process user responses.
	Control();

	// Cleanup
	delete zafDataPersistence;
	zafDataPersistence = ZAF_NULLP(ZafDataPersistence);
	delete storage;

	// End the program.
	return(0);
}
