# ----- General ------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
# Usage

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: bmp116.exe bmp216.exe bmp316.exe bmp416.exe bmp516.exe

dos32: bmp132.exe bmp232.exe bmp332.exe bmp432.exe bmp532.exe

win16: wbmp116.exe wbmp216.exe wbmp316.exe wbmp416.exe wbmp516.exe

win32: wbmp132.exe wbmp232.exe wbmp332.exe wbmp432.exe wbmp532.exe

win32dll: wbmp1.exe wbmp2.exe wbmp3.exe wbmp4.exe wbmp5.exe

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for bmp116.exe
#
TARGET=bmp116.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=main1.cpp bitmap1.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for bmp216.exe
#
TARGET=bmp216.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=main2.cpp bitmap2.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for bmp316.exe
#
TARGET=bmp316.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=main3.cpp bitmap3.cpp bitmap2.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for bmp416.exe
#
TARGET=bmp416.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=main4.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for bmp516.exe
#
TARGET=bmp516.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=main5.cpp bitmap5.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for bmp132.exe
#
TARGET=bmp132.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=main1.cpp bitmap1.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for bmp232.exe
#
TARGET=bmp232.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=main2.cpp bitmap2.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for bmp332.exe
#
TARGET=bmp332.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=main3.cpp bitmap3.cpp bitmap2.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for bmp432.exe
#
TARGET=bmp432.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=main4.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for bmp532.exe
#
TARGET=bmp532.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=main5.cpp bitmap5.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp116.exe
#
TARGET=wbmp116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=main1.cpp bitmap1.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wbmp216.exe
#
TARGET=wbmp216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=main2.cpp bitmap2.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wbmp316.exe
#
TARGET=wbmp316.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=main3.cpp bitmap3.cpp bitmap2.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wbmp416.exe
#
TARGET=wbmp416.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=main4.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wbmp516.exe
#
TARGET=wbmp516.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=main5.cpp bitmap5.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wbmp132.exe
#
TARGET=wbmp132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=main1.cpp bitmap1.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp232.exe
#
TARGET=wbmp232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=main2.cpp bitmap2.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp332.exe
#
TARGET=wbmp332.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=main3.cpp bitmap3.cpp bitmap2.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp432.exe
#
TARGET=wbmp432.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=main4.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp532.exe
#
TARGET=wbmp532.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=main5.cpp bitmap5.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp1.exe
#
TARGET=wbmp1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=main1.cpp bitmap1.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp2.exe
#
TARGET=wbmp2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=main2.cpp bitmap2.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp3.exe
#
TARGET=wbmp3.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=main3.cpp bitmap3.cpp bitmap2.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp4.exe
#
TARGET=wbmp4.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=main4.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wbmp5.exe
#
TARGET=wbmp5.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=main5.cpp bitmap5.cpp bitmap4.cpp bitmap2.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>
