# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------

clean:
	z_clean

# ----- Platforms -----------------------------------------------------------

dos16: data116.exe data216.exe data316.exe data416.exe

dos32: data132.exe data232.exe data332.exe data432.exe

win16: wdata116.exe wdata216.exe wdata316.exe wdata416.exe

win32: wdata132.exe wdata232.exe wdata332.exe wdata432.exe

win32dll: wdata1.exe wdata2.exe wdata3.exe wdata4.exe

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for data116.exe
#
TARGET=data116.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=data1.cpp
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for data216.exe
#
TARGET=data216.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=data2.cpp
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for data316.exe
#
TARGET=data316.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=data3.cpp
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for data416.exe
#
data416.exe:
	@echo You must have the Professional version of ZAF to build Data4

#
# Build options for data132.exe
#
TARGET=data132.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=data1.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for data232.exe
#
TARGET=data232.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=data2.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for data332.exe
#
TARGET=data332.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=data3.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for data432.exe
#
data432.exe:
	@echo You must have the Professional version of ZAF to build Data4

#
# Build options for wdata116.exe
#
TARGET=wdata116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=data1.cpp
DEFINITION_FILE=wdata16.def
!include <zaf.mak>

#
# Build options for wdata216.exe
#
TARGET=wdata216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=data2.cpp
DEFINITION_FILE=wdata16.def
!include <zaf.mak>

#
# Build options for wdata316.exe
#
TARGET=wdata316.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=data3.cpp
DEFINITION_FILE=wdata16.def
!include <zaf.mak>

#
# Build options for wdata416.exe
#
wdata416.exe:
	@echo You must have the Professional version of ZAF to build Data4

#
# Build options for wdata132.exe
#
TARGET=wdata132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=data1.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wdata232.exe
#
TARGET=wdata232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=data2.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wdata332.exe
#
TARGET=wdata332.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=data3.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wdata432.exe
#
wdata432.exe:
	@echo You must have the Professional version of ZAF to build Data4

#
# Build options for wdata1.exe
#
TARGET=wdata1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=data1.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wdata2.exe
#
TARGET=wdata2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=data2.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wdata3.exe
#
TARGET=wdata3.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=data3.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wdata4.exe
#
wdata4.exe:
	@echo You must have the Professional version of ZAF to build Data4

