# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: deriv16.exe 

dos32: deriv32.exe 

win16: wderiv16.exe 

win32: wderiv32.exe 

win32dll: wderiv.exe 

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for deriv16.exe
#
TARGET=deriv16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=derive.cpp p_derive.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>


#
# Build options for deriv32.exe
#
TARGET=deriv32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=derive.cpp p_derive.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wderiv16.exe
#
TARGET=wderiv16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=derive.cpp p_derive.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wderiv32.exe
#
TARGET=wderiv32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=derive.cpp p_derive.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wderiv.exe
#
TARGET=wderiv.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=derive.cpp p_derive.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>
