// Main program file generated by Zinc Designer.

#include "gmgrwin.hpp"
#include "gmgr.inc"

int ZafApplication::Main(void)
{
	// Ensure main() is linked properly.
	LinkMain();

	// Establish access to external objects and data.
	ZafStorage *storage = new ZafStorage(ZAF_ITEXT("gmgr.znc"), ZAF_FILE_READ);
	if (storage->Error())
	{
		zafErrorSystem->ReportError(ZAF_NULLP(ZafWindowObject),
			ZAF_ITEXT("Error"), ZAF_DIALOG_OK,
			ZAF_ITEXT("gmgr.znc could not be found."));
		delete storage;
		return (-1);
	}

	zafObjectPersistence = new UserPersist(storage);

	// Display initial windows.
	zafWindowManager->Add(new MainWindow(ZAF_ITEXT("MAIN_WINDOW"), *zafObjectPersistence));


	// Get the user input.
	Control();

	delete zafObjectPersistence;
	zafObjectPersistence = ZAF_NULLP(ZafObjectPersistence);
	delete storage;

	// Return success.
	return (0);
}
