# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: image16.exe 

dos32: image32.exe 

win16: wimage16.exe 

win32: wimage32.exe 

win32dll: wimage.exe 

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for image16.exe
#
TARGET=image16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=image.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>


#
# Build options for image32.exe
#
TARGET=image32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=image.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wimage16.exe
#
TARGET=wimage16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=image.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wimage16.def
!include <zaf.mak>

#
# Build options for wimage32.exe
#
TARGET=wimage32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=image.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wimage.exe
#
TARGET=wimage.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=image.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>
