// COPYRIGHT (C) 1998.  All Rights Reserved. - INTL2.CPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>
#include <z_prst.hpp>

// ----- ZafApplication -----------------------------------------------------

int ZafApplication::Main(void)
{
	LinkMain();

	// Create the window persistence.
	ZafStorage *storage = new ZafStorage(ZAF_ITEXT("intl2.znc"), ZAF_FILE_READ);
	zafObjectPersistence = new ZafObjectPersistence(storage,
		zafDefaultDataConstructor, zafDefaultObjectConstructor);

	// Load the window.
	ZafWindow *window = new ZafWindow(ZAF_ITEXT("International"), *zafObjectPersistence);
	zafWindowManager->Center(window);
	zafWindowManager->Add(window);

	// Get user input.
	Control();
	
	// Destroy the window persistence.
	delete zafObjectPersistence;
	zafObjectPersistence = ZAF_NULLP(ZafObjectPersistence);
	delete storage;

	// Return success.
	return (0);
}

