## ----- Install options -----
CC = CC
LINK = CC
CC_FLAGS =
LINK_FLAGS =
CPP_EXTENSION = .cpp
INCLUDE_DIRS =
LIB_DIRS = -L/usr/lib/Motif1.2 -L/usr/lib/X11R5
GUI_LIBS = -lXm -lXt -lX11
LIBS = -lm

## ----- General options -----
ZAF_INC_DIR = ../../include
ZAF_LIB_DIR = ../../lib
Z_INCLUDE_DIRS = -I. -I$(ZAF_INC_DIR) $(INCLUDE_DIRS)
Z_LIB_DIRS = -L$(ZAF_LIB_DIR) $(LIB_DIRS)
Z_LIBS = -lZafMtfP -lZafMtf $(GUI_LIBS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .o $(CPP_EXTENSION)

$(CPP_EXTENSION).o:
	$(CC) $(CC_FLAGS) $(Z_INCLUDE_DIRS) -c $<

posix: mintl1 mintl2 mintl3

clean:
	-rm -f *.o core mintl1 mintl2 mintl3

mintl1: intl1.o
	$(LINK) $(LINK_FLAGS) -o $@ intl1.o $(Z_LIB_DIRS) $(Z_LIBS)

mintl2: intl2.o
	$(LINK) $(LINK_FLAGS) -o $@ intl2.o $(Z_LIB_DIRS) $(Z_LIBS)

mintl3: intl3.o
	$(LINK) $(LINK_FLAGS) -o $@ intl3.o $(Z_LIB_DIRS) $(Z_LIBS)
