# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
# Usage

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS with Pharlap)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: split116.exe split216.exe split316.exe split416.exe

dos32: splt132.exe splt232.exe splt332.exe splt432.exe

win16: wsplt116.exe wsplt216.exe wsplt316.exe wsplt416.exe

win32: wsplt132.exe wsplt232.exe wsplt332.exe wsplt432.exe

win32dll: wsplit1.exe wsplit2.exe wsplit3.exe wsplit4.exe

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for splt116.exe
#
TARGET=split116.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for split216.exe
#
TARGET=split216.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for split316.exe
#
TARGET=split316.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for split416.exe
#
TARGET=split416.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for splt132.exe
#
TARGET=splt132.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for splt232.exe
#
TARGET=splt232.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for splt332.exe
#
TARGET=splt332.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for splt432.exe
#
TARGET=splt432.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt116.exe
#
TARGET=wsplt116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt216.exe
#
TARGET=wsplt216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt316.exe
#
TARGET=wsplt316.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt416.exe
#
TARGET=wsplt416.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt132.exe
#
TARGET=wsplt132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt232.exe
#
TARGET=wsplt232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt332.exe
#
TARGET=wsplt332.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt432.exe
#
TARGET=wsplt432.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit1.exe
#
TARGET=wsplit1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit2.exe
#
TARGET=wsplit2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit3.exe
#
TARGET=wsplit3.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit4.exe
#
TARGET=wsplit4.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>


